#pragma once

#include <osgTerrain/GeometryTechnique>

namespace osgTerrain {

class myTerrainTechnique : public osgTerrain::GeometryTechnique
{
public:
	myTerrainTechnique(void);

	/** Copy constructor using CopyOp to manage deep vs shallow copy.*/
    myTerrainTechnique(const GeometryTechnique&,const osg::CopyOp& copyop=osg::CopyOp::SHALLOW_COPY);

	META_Object(osgTerrain, myTerrainTechnique);

	~myTerrainTechnique(void);

	/** Traverse the terain subgraph.*/
    //virtual void traverse(osg::NodeVisitor& nv);

	virtual void update(osgUtil::UpdateVisitor* nv);
};

}